Package org.apache.qpid.proton.codec

# Interface PrimitiveType<V>

All Superinterfaces:
  `AMQPType<V>`

All Known Implementing Classes:
  `ArrayType`, `BigIntegerType`, `BinaryType`, `BooleanType`, `ByteType`, `CharacterType`, `Decimal128Type`, `Decimal32Type`, `Decimal64Type`, `DoubleType`, `FloatType`, `IntegerType`, `ListType`, `LongType`, `MapType`, `NullType`, `ShortType`, `StringType`, `SymbolType`, `TimestampType`, `UnsignedByteType`, `UnsignedIntegerType`, `UnsignedLongType`, `UnsignedShortType`, `UUIDType`

public interface PrimitiveType<V> extends AMQPType<V>

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends PrimitiveTypeEncoding<V>>`
`getAllEncodings()`
`PrimitiveTypeEncoding<V>`
`getCanonicalEncoding()`
`PrimitiveTypeEncoding<V>`
`getEncoding(V val)`

### Methods inherited from interface org.apache.qpid.proton.codec.AMQPType

`getTypeClass, write`

## Method Details

### getEncoding

PrimitiveTypeEncoding<V> getEncoding(V val)

Specified by:
  `getEncoding` in interface `AMQPType<V>`

### getCanonicalEncoding

PrimitiveTypeEncoding<V> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<V>`

### getAllEncodings

Collection<? extends PrimitiveTypeEncoding<V>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<V>`